Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000306ScribusScripterpublic2004-02-28 22:512014-10-14 22:07
Reporterdeejay1 
Assigned To 
PrioritylowSeverityfeatureReproducibilityN/A
StatusclosedResolutionwon't fix 
PlatformallOSallOS Versionall
Product Version1.3.4cvs 
Target VersionFixed in Version 
Summary0000306: Copying pages
DescriptionIt would be great if scripter could allow someone to copy entire pages (eg. select all objects;copy;change document;paste) between two Scribus documents...
TagsNo tags attached.
Patch
Attached Files

- Relationships
related to 0002826closedchristoph_s missing selectAll in Scripter API 
child of 0003813acknowledged Metabug: Scripter 

-  Notes
(0033569)
Kunda (manager)
2014-09-08 02:18

Some feedback from gpittman:

Plan A "...one could, of course, use the copyObject() and pasteObject() functions to copy all objects to a new page.
Plan B would be to have the current document saved, then use importPage() to import page(s) from its own copy on disk. importPage() is pretty flexible.

I think this is in the category of something probably not worth creating for Scripter. It's so easy to do on the canvas, what's the point in doing it in a script?
As I have said in the past, you want to use scripts for things that are difficult or tedious on the canvas."

Any community feedback on this?
(0033697)
Kunda (manager)
2014-09-15 00:42

MHO to this feedback is the following:
Lets create a snippet that people can use to get this done and post it in a prominent place. A Scripter tutorial if you will.
1) How to copy all the objects on a page
2) How to copy all the objects across certain page numbers
3) How to copy all the objects in a whole document

As to 'what's the point in doing it in a script' if it's easier to do in canvas...? For example, if someone was interested in automation of a process (especially in light of 0012572) I think that this is a relevant and valid request.
(0033698)
ale (manager)
2014-09-15 08:31

you know how much i love the copy and paste object scripter function :-)

this should be solved by importing the page from the other document. it's just a matter of exposing the function to the scripter. if needed, we should extend it, to let it import from an open document.
(0033734)
Kunda (manager)
2014-09-18 14:22

There are other ways to achieve this effect. We will provide examples for the community so no further feature requests should be filed.
Resolving this for now.

- Issue History
Date Modified Username Field Change
2004-02-28 22:51 deejay1 New Issue
2004-06-17 14:52 subik Status new => assigned
2004-06-17 14:52 subik Assigned To => subik
2006-04-12 12:06 mhanski Priority normal => low
2006-04-12 12:06 mhanski OS => all
2006-04-12 12:06 mhanski OS Version => all
2006-04-12 12:06 mhanski Platform => all
2006-04-12 12:06 mhanski Product Version => 1.3.4cvs
2006-05-13 23:05 christoph_s Relationship added child of 0003813
2014-09-08 02:18 Kunda Note Added: 0033569
2014-09-08 02:22 Kunda Assigned To subik =>
2014-09-08 02:22 Kunda Status assigned => feedback
2014-09-12 21:15 Kunda Relationship added related to 0002826
2014-09-15 00:42 Kunda Note Added: 0033697
2014-09-15 08:31 ale Note Added: 0033698
2014-09-18 14:22 Kunda Note Added: 0033734
2014-09-18 14:22 Kunda Status feedback => resolved
2014-09-18 14:22 Kunda Resolution open => won't fix
2014-09-18 14:22 Kunda Assigned To => Kunda
2014-09-18 14:22 Kunda Assigned To Kunda =>
2014-10-14 22:07 cbradney Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker